package Ensembl.artemis;
final public class QualifierDefinitionListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public java.lang.String[] value;

	public QualifierDefinitionListHolder ()
	{
	}
	public QualifierDefinitionListHolder (java.lang.String[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return QualifierDefinitionListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = QualifierDefinitionListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		QualifierDefinitionListHelper.write(out,value);
	}
}
